GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Enumerations
http2_errors.h File Reference

Go to the source code of this file.

## Enumerations
enum | grpc_chttp2_error_code { GRPC_CHTTP2_NO_ERROR = 0x0, GRPC_CHTTP2_PROTOCOL_ERROR = 0x1, GRPC_CHTTP2_INTERNAL_ERROR = 0x2, GRPC_CHTTP2_FLOW_CONTROL_ERROR = 0x3, GRPC_CHTTP2_SETTINGS_TIMEOUT = 0x4, GRPC_CHTTP2_STREAM_CLOSED = 0x5, GRPC_CHTTP2_FRAME_SIZE_ERROR = 0x6, GRPC_CHTTP2_REFUSED_STREAM = 0x7, GRPC_CHTTP2_CANCEL = 0x8, GRPC_CHTTP2_COMPRESSION_ERROR = 0x9, GRPC_CHTTP2_CONNECT_ERROR = 0xa, GRPC_CHTTP2_ENHANCE_YOUR_CALM = 0xb, GRPC_CHTTP2_INADEQUATE_SECURITY = 0xc, GRPC_CHTTP2__ERROR_DO_NOT_USE = -1 }

## Enumeration Type Documentation

enum grpc_chttp2_error_code

Enumerator
GRPC_CHTTP2_NO_ERROR |
GRPC_CHTTP2_PROTOCOL_ERROR |
GRPC_CHTTP2_INTERNAL_ERROR |
GRPC_CHTTP2_FLOW_CONTROL_ERROR |
GRPC_CHTTP2_SETTINGS_TIMEOUT |
GRPC_CHTTP2_STREAM_CLOSED |
GRPC_CHTTP2_FRAME_SIZE_ERROR |
GRPC_CHTTP2_REFUSED_STREAM |
GRPC_CHTTP2_CANCEL |
GRPC_CHTTP2_COMPRESSION_ERROR |
GRPC_CHTTP2_CONNECT_ERROR |
GRPC_CHTTP2_ENHANCE_YOUR_CALM |
GRPC_CHTTP2_INADEQUATE_SECURITY |
GRPC_CHTTP2__ERROR_DO_NOT_USE |